%define drupaldir %{_datadir}/drupal6
Name: drupal6-calendar
Version:  2.4
Release:  1%{?dist}
Summary:  This module will display any Views date field in calendar formats

Group: Applications/Publishing
License: GPLv2+
URL: http://drupal.org/project/calendar
Source0: http://ftp.drupal.org/files/projects/calendar-6.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
#Patch0: calendar-6.x-2.2-613528-5.patch

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: drupal6 >= 6.0, drupal6-date, drupal6-views
Obsoletes: drupal-calendar <= 6.x.2.2

%description
This module will display any Views date field in calendar formats, 
including CCK date fields, Event module event fields, node created or 
updated dates, etc. Switch between year, month, and day views. Back and 
next navigation is provided for all views.

%prep

%setup -qn calendar

#%patch0 -p0

%build

cp %{SOURCE1} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/calendar
cp -pr * %{buildroot}%{drupaldir}/modules/calendar

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt LICENSE.txt readme.txt %{name}-fedora-README.txt
%{drupaldir}/modules/calendar
%exclude %{drupaldir}/modules/calendar/CHANGELOG.txt
%exclude %{drupaldir}/modules/calendar/LICENSE.txt
%exclude %{drupaldir}/modules/calendar/readme.txt
%exclude %{drupaldir}/modules/calendar/%{name}-fedora-README.txt


%changelog
* Fri Feb 11 2011 Jon Ciesla <limb@jcomserv.net> - 2.4-1
- Updated to new upstream.

* Wed Jan 19 2011 Jon Ciesla <limb@jcomserv.net> - 2.2-1
- Corrected version.

* Fri Dec 03 2010 Jon Ciesla <limb@jcomserv.net> - 6.x.2.2-3
- Fixed README naming.

* Wed Jan 27 2010 Jon Ciesla <limb@jcomserv.net> - 6.x.2.2-2
- Patch to fix PHP 5.3 compatibility, BZ 559257.

* Mon Jan 04 2010 Jon Ciesla <limb@jcomserv.net> - 6.x.2.2-1
- Fixed license tag.

* Wed Jul 29 2009 Jon Ciesla <limb@jcomserv.net> - 6.x.2.2-0
- Updated version.
- DRUPAL-SA-CONTRIB-2009-047.

* Tue Nov 04 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-2.rc4
- Updated version.

* Thu Aug 21 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-1.beta3
- Review fixes.

* Mon Jun 16 2008 Jon Ciesla <limb@jcomserv.net> - 6.x.2.0-0.beta3
- Updated for Drupal 6.x.

* Tue Oct 30 2007 Jon Ciesla <limb@jcomserv.net> - 1.7-1
- Initial packaging.
